@echo off
rem                                   DISCLAIMER                                  
rem  This software and documentation (the "Software") were developed at the Food  
rem  and Drug Administration (FDA) by employees of the Federal Government in the  
rem  course of their official duties. Pursuant to Title 17, Section 105 of the    
rem  United States Code, this work is not subject to copyright protection and is  
rem  in the public domain. Permission is hereby granted, free of charge, to any   
rem  person obtaining a copy of the Software, to deal in the Software without     
rem  restriction, including without limitation the rights to use, copy, modify,   
rem  merge, publish, distribute, sublicense, or sell copies of the Software or    
rem  derivatives, and to permit persons to whom the Software is furnished to do   
rem  so. FDA assumes no responsibility whatsoever for use by other parties of     
rem  the Software, its source code, documentation or compiled executables, and    
rem  makes no guarantees, expressed or implied, about its quality, reliability,   
rem   or any other characteristic. Further, use of this code in no way implies    
rem  endorsement by the FDA or confers any advantage in regulatory decisions.     
rem  Although this software can be redistributed and/or modified freely, we       
rem  ask that any derivative works bear some notice that they are derived from    
rem  it, and any modified versions bear some notice that they have been modified. 
rem                                                                               
rem  Written by: Lars Johannesen
set CFLAGS=-g -O0 -fPIC -Iboost.enum/ -std=c++0x 
set CXXFLAGS=-g -O0 -fPIC -Iboost.enum/ -std=c++0x 
set CC= gcc 
set CXX= g++ 
set AR=ar

echo building ecglib-slim
mkdir build
mkdir build\ecglib-slim
%CXX% -c ecglib-slim/annotation.cpp -o build/ecglib-slim/annotation.o %CXXFLAGS% -I.
%AR% rcs build/libecglib-slim.a build/ecglib-slim/*.o

echo building calcu3
mkoctfile calcu3.cpp -I. -Lbuild/ -lecglib-slim -mex

echo building qrsdetect
mkoctfile qrsdetect.cpp -I. -Lbuild/ -lecglib-slim -mex

echo building loadrec
mkoctfile loadrec.cpp -I. -Lbuild/ -mex -lwfdb

echo building loadann
mkoctfile loadann.cpp -I. -Lbuild/ -mex -lwfdb

echo building saveann
mkoctfile saveann.cpp -I. -Lbuild/ -mex -lwfdb

echo building saverec
mkoctfile saverec.cpp -I. -Lbuild/ -mex -lwfdb

echo building mark_peaks
mkoctfile mark_peaks.cpp -I. -Lbuild/ -mex -lwfdb

echo building compare_annmat
mkoctfile compare_annmat.cpp -I. -Lbuild/ -mex -lwfdb

echo building detect peaks
mkoctfile detect_peaks.cpp -I. -Lbuild/ -mex

echo octave deps
rem cd octave.files
rem ./make.sh
rem cd ..

echo cleaning temp dir
del *.o
